## arduino-core-avr 1.8.6%2Bdfsg

=== bootloaders/caterina-Arduino_Robot/Makefile ===
# Hey Emacs, this is a -*- makefile -*-
#----------------------------------------------------------------------------
# WinAVR Makefile Template written by Eric B. Weddington, Jrg Wunsch, et al.
#  >> Modified for use with the LUFA project. <<
#
# Released to the Public Domain
#
# Additional material for this makefile was written by:
# Peter Fleury
# Tim Henigan
# Colin O'Flynn
# Reiner Patommel
# Markus Pfaff
# Sander Pool
# Frederik Rouleau
# Carlos Lamas
# Dean Camera
# Opendous Inc.
# Denver Gingerich
#
#----------------------------------------------------------------------------
# On command line:
#
# make all = Make software.
#
# make clean = Clean out built project files.
#
# make coff = Convert ELF to AVR COFF.
#
# make extcoff = Convert ELF to AVR Extended COFF.
#
# make program = Download the hex file to the device, using avrdude.
#                Please customize the avrdude settings below first!
#
# make doxygen = Generate DoxyGen documentation for the project (must have
#                DoxyGen installed)
#
# make debug = Start either simulavr or avarice as specified for debugging,
#              with avr-gdb or avr-insight as the front end for debugging.
#
# make filename.s = Just compile filename.c into the assembler code only.
#
# make filename.i = Create a preprocessed source file for use in submitting
#                   bug reports to the GCC project.
#
# To rebuild project do "make clean" then "make all".
#----------------------------------------------------------------------------

# USB vendor ID (VID)
# reuse of this VID by others is forbidden by USB-IF
# official Arduino LLC VID
VID = 0x2341


# USB product ID (PID)
# official Leonardo PID
# PID = 0x0036
# official Micro PID
# PID = 0x0037
# official Arduino Robot Control Board PID
PID = 0x0038
# official Arduino Robot Motor Board PID
# PID = 0x0039
# official Esplora PID
# PID = 0x003C

# MCU name
MCU = atmega32u4


# Target architecture (see library "Board Types" documentation).
ARCH = AVR8


# Target board (see library "Board Types" documentation, NONE for projects not requiring
# LUFA board drivers). If USER is selected, put custom board drivers in a directory called
# "Board" inside the application directory.
BOARD = USER


# Processor frequency.
#     This will define a symbol, F_CPU, in all source code files equal to the
#     processor frequency in Hz. You can then use this symbol in your source code to
#     calculate timings. Do NOT tack on a 'UL' at the end, this will be done
#     automatically to create a 32-bit value in your source code.
#
#     This will be an integer division of F_USB below, as it is sourced by
#     F_USB after it has run through any CPU prescalers. Note that this value
#     does not *change* the processor frequency - it should merely be updated to
#     reflect the processor speed set externally so that the code can use accurate
#     software delays.
F_CPU = 16000000


# Input clock frequency.
#     This will define a symbol, F_USB, in all source code files equal to the
#     input clock frequency (before any prescaling is performed) in Hz. This value may
#     differ from F_CPU if prescaling is used on the latter, and is required as the
#     raw input clock is fed directly to the PLL sections of the AVR for high speed
#     clock generation for the USB and other AVR subsections. Do NOT tack on a 'UL'
#     at the end, this will be done automatically to create a 32-bit value in your
#     source code.
#
#     If no clock division is performed on the input clock inside the AVR (via the
#     CPU clock adjust registers or the clock division fuses), this will be equal to F_CPU.
F_USB = $(F_CPU)


# Starting byte address of the bootloader, as a byte address - computed via the formula
#   BOOT_START = ((FLASH_SIZE_KB - BOOT_SECTION_SIZE_KB) * 1024)
#
# Note that the bootloader size and start address given in AVRStudio is in words and not
# bytes, and so will need to be doubled to obtain the byte address needed by AVR-GCC.
FLASH_SIZE_KB        = 32
BOOT_SECTION_SIZE_KB = 4
BOOT_START           = 0x$(shell echo "obase=16; ($(FLASH_SIZE_KB) - $(BOOT_SECTION_SIZE_KB)) * 1024" | bc)


# Output format. (can be srec, ihex, binary)
FORMAT = ihex


# Target file name (without extension).
TARGET = Caterina


# Object files directory
#     To put object files in current directory, use a dot (.), do NOT make
#     this an empty or blank macro!
OBJDIR = .


# Path to the LUFA library
LUFA_PATH = LUFA-111009


# LUFA library compile-time options and predefined tokens
LUFA_OPTS  = -D USB_DEVICE_ONLY
LUFA_OPTS += -D DEVICE_STATE_AS_GPIOR=0
LUFA_OPTS += -D ORDERED_EP_CONFIG
LUFA_OPTS += -D FIXED_CONTROL_ENDPOINT_SIZE=8
LUFA_OPTS += -D FIXED_NUM_CONFIGURATIONS=1
LUFA_OPTS += -D USE_RAM_DESCRIPTORS
LUFA_OPTS += -D USE_STATIC_OPTIONS="(USB_DEVICE_OPT_FULLSPEED | USB_OPT_REG_ENABLED | USB_OPT_AUTO_PLL)"
LUFA_OPTS += -D NO_INTERNAL_SERIAL
LUFA_OPTS += -D NO_DEVICE_SELF_POWER
LUFA_OPTS += -D NO_DEVICE_REMOTE_WAKEUP
LUFA_OPTS += -D NO_SOF_EVENTS

#LUFA_OPTS += -D NO_BLOCK_SUPPORT
#LUFA_OPTS += -D NO_EEPROM_BYTE_SUPPORT
#LUFA_OPTS += -D NO_FLASH_BYTE_SUPPORT
LUFA_OPTS += -D NO_LOCK_BYTE_WRITE_SUPPORT


# Create the LUFA source path variables by including the LUFA root makefile
include $(LUFA_PATH)/LUFA/makefile


# List C source files here. (C dependencies are automatically generated.)
SRC = $(TARGET).c                                                 \
	  Descriptors.c                                               \
	  $(LUFA_SRC_USB)                                             \


# List C++ source files here. (C dependencies are automatically generated.)
CPPSRC =


# List Assembler source files here.
#     Make them always end in a capital .S.  Files ending in a lowercase .s
#     will not be considered source files but generated files (assembler
#     output from the compiler), and will be deleted upon "make clean"!
#     Even though the DOS/Win* filesystem matches both .s and .S the same,
#     it will preserve the spelling of the filenames, and gcc itself does
#     care about how the name is spelled on its command-line.
ASRC =


# Optimization level, can be [0, 1, 2, 3, s].
#     0 = turn off optimization. s = optimize for size.
#     (Note: 3 is not always the best optimization level. See avr-libc FAQ.)
OPT = s


# Debugging format.
#     Native formats for AVR-GCC's -g are dwarf-2 [default] or stabs.
#     AVR Studio 4.10 requires dwarf-2.
#     AVR [Extended] COFF format requires stabs, plus an avr-objcopy run.
DEBUG = dwarf-2


# List any extra directories to look for include files here.
#     Each directory must be separated by a space.
#     Use forward slashes for directory separators.
#     For a directory that has spaces, enclose it in quotes.
EXTRAINCDIRS = $(LUFA_PATH)/


# Compiler flag to set the C Standard level.
#     c89   = "ANSI" C
#     gnu89 = c89 plus GCC extensions
#     c99   = ISO C99 standard (not yet fully implemented)
#     gnu99 = c99 plus GCC extensions
CSTANDARD = -std=c99


# Place -D or -U options here for C sources
CDEFS  = -DF_CPU=$(F_CPU)UL
CDEFS += -DF_USB=$(F_USB)UL
CDEFS += -DBOARD=BOARD_$(BOARD) -DARCH=ARCH_$(ARCH)
CDEFS += -DBOOT_START_ADDR=$(BOOT_START)UL
CDEFS += -DDEVICE_VID=$(VID)UL
CDEFS += -DDEVICE_PID=$(PID)UL
CDEFS += $(LUFA_OPTS)


# Place -D or -U options here for ASM sources
ADEFS  = -DF_CPU=$(F_CPU)
ADEFS += -DF_USB=$(F_USB)UL
ADEFS += -DBOARD=BOARD_$(BOARD)
ADEFS += -DBOOT_START_ADDR=$(BOOT_START)UL
ADEFS += $(LUFA_OPTS)


# Place -D or -U options here for C++ sources
CPPDEFS  = -DF_CPU=$(F_CPU)UL
CPPDEFS += -DF_USB=$(F_USB)UL
CPPDEFS += -DBOARD=BOARD_$(BOARD)
CPPDEFS += -DBOOT_START_ADDR=$(BOOT_START)UL
CPPDEFS += $(LUFA_OPTS)
#CPPDEFS += -D__STDC_LIMIT_MACROS
#CPPDEFS += -D__STDC_CONSTANT_MACROS



#---------------- Compiler Options C ----------------
#  -g*:          generate debugging information
#  -O*:          optimization level
#  -f...:        tuning, see GCC manual and avr-libc documentation
#  -Wall...:     warning level
#  -Wa,...:      tell GCC to pass this to the assembler.
#    -adhlns...: create assembler listing
CFLAGS = -g$(DEBUG)
CFLAGS += $(CDEFS)
CFLAGS += -O$(OPT)
CFLAGS += -funsigned-char
CFLAGS += -funsigned-bitfields
CFLAGS += -ffunction-sections
CFLAGS += -fno-inline-small-functions
CFLAGS += -fpack-struct
CFLAGS += -fshort-enums
CFLAGS += -fno-strict-aliasing
CFLAGS += -Wall
CFLAGS += -Wstrict-prototypes
#CFLAGS += -mshort-calls
#CFLAGS += -fno-unit-at-a-time
#CFLAGS += -Wundef
#CFLAGS += -Wunreachable-code
#CFLAGS += -Wsign-compare
CFLAGS += -Wa,-adhlns=$(<:%.c=$(OBJDIR)/%.lst)
CFLAGS += $(patsubst %,-I%,$(EXTRAINCDIRS))
CFLAGS += $(CSTANDARD)


#---------------- Compiler Options C++ ----------------
#  -g*:          generate debugging information
#  -O*:          optimization level
#  -f...:        tuning, see GCC manual and avr-libc documentation
#  -Wall...:     warning level
#  -Wa,...:      tell GCC to pass this to the assembler.
#    -adhlns...: create assembler listing
CPPFLAGS = -g$(DEBUG)
CPPFLAGS += $(CPPDEFS)
CPPFLAGS += -O$(OPT)
CPPFLAGS += -funsigned-char
CPPFLAGS += -funsigned-bitfields
CPPFLAGS += -fpack-struct
CPPFLAGS += -fshort-enums
CPPFLAGS += -fno-exceptions
CPPFLAGS += -Wall
CPPFLAGS += -Wundef
#CPPFLAGS += -mshort-calls
#CPPFLAGS += -fno-unit-at-a-time
#CPPFLAGS += -Wstrict-prototypes
#CPPFLAGS += -Wunreachable-code
#CPPFLAGS += -Wsign-compare
CPPFLAGS += -Wa,-adhlns=$(<:%.cpp=$(OBJDIR)/%.lst)
CPPFLAGS += $(patsubst %,-I%,$(EXTRAINCDIRS))
#CPPFLAGS += $(CSTANDARD)


#---------------- Assembler Options ----------------
#  -Wa,...:   tell GCC to pass this to the assembler.
#  -adhlns:   create listing
#  -gstabs:   have the assembler create line number information; note that
#             for use in COFF files, additional information about filenames
#             and function names needs to be present in the assembler source
#             files -- see avr-libc docs [FIXME: not yet described there]
#  -listing-cont-lines: Sets the maximum number of continuation lines of hex
#       dump that will be displayed for a given single line of source input.
ASFLAGS = $(ADEFS) -Wa,-adhlns=$(<:%.S=$(OBJDIR)/%.lst),-gstabs,--listing-cont-lines=100


#---------------- Library Options ----------------
# Minimalistic printf version
PRINTF_LIB_MIN = -Wl,-u,vfprintf -lprintf_min

# Floating point printf version (requires MATH_LIB = -lm below)
PRINTF_LIB_FLOAT = -Wl,-u,vfprintf -lprintf_flt

# If this is left blank, then it will use the Standard printf version.
PRINTF_LIB =
#PRINTF_LIB = $(PRINTF_LIB_MIN)
#PRINTF_LIB = $(PRINTF_LIB_FLOAT)


# Minimalistic scanf version
SCANF_LIB_MIN = -Wl,-u,vfscanf -lscanf_min

# Floating point + %[ scanf version (requires MATH_LIB = -lm below)
SCANF_LIB_FLOAT = -Wl,-u,vfscanf -lscanf_flt

# If this is left blank, then it will use the Standard scanf version.
SCANF_LIB =
#SCANF_LIB = $(SCANF_LIB_MIN)
#SCANF_LIB = $(SCANF_LIB_FLOAT)


MATH_LIB = -lm


# List any extra directories to look for libraries here.
#     Each directory must be separated by a space.
#     Use forward slashes for directory separators.
#     For a directory that has spaces, enclose it in quotes.
EXTRALIBDIRS =



#---------------- External Memory Options ----------------

# 64 KB of external RAM, starting after internal RAM (ATmega128!),
# used for variables (.data/.bss) and heap (malloc()).
#EXTMEMOPTS = -Wl,-Tdata=0x801100,--defsym=__heap_end=0x80ffff

# 64 KB of external RAM, starting after internal RAM (ATmega128!),
# only used for heap (malloc()).
#EXTMEMOPTS = -Wl,--section-start,.data=0x801100,--defsym=__heap_end=0x80ffff

EXTMEMOPTS =



#---------------- Linker Options ----------------
#  -Wl,...:     tell GCC to pass this to linker.
#    -Map:      create map file
#    --cref:    add cross reference to  map file
LDFLAGS  = -Wl,-Map=$(TARGET).map,--cref
LDFLAGS += -Wl,--section-start=.text=$(BOOT_START)
LDFLAGS += -Wl,--relax
LDFLAGS += -Wl,--gc-sections
LDFLAGS += $(EXTMEMOPTS)

## arduino-core-avr 1.8.3+dfsg1

=== debian/changelog ===
arduino-core-avr (1.8.3+dfsg1-1) unstable; urgency=medium

  [ Rock Storm ]
  * [a013cad] Rearrange installation path of *.txt files

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 26 Jan 2021 20:17:48 +0100

arduino-core-avr (1.8.3+dfsg1-1~exp2) experimental; urgency=medium

  [ Rock Storm ]
  * [72df79b] d/*.links: Add a link for programmers.txt
    (Closes: #980118)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 15 Jan 2021 17:56:43 +0100

arduino-core-avr (1.8.3+dfsg1-1~exp1) experimental; urgency=medium

  * [b9f0dbd] New upstream version 1.8.3+dfsg1
  * [55bbb8b] First and basic Debianization
    (Closes: #977605)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 06 Jan 2021 08:42:47 +0100

=== debian/control ===
Source: arduino-core-avr
Section: utils
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
Build-Depends:
 avr-libc,
 debhelper-compat (= 13),
 gcc-avr,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/arduino/ArduinoCore-avr
Vcs-Browser: https://salsa.debian.org/electronics-team/arduino/arduino-core-avr
Vcs-Git: https://salsa.debian.org/electronics-team/arduino/arduino-core-avr.git

Package: arduino-core-avr
Architecture: all
Depends:
 avr-libc,
 gcc-avr,
 ${misc:Depends},
Description: Arduino Core for AVR microcontroller
 This package contains the source code and configuration files of the Arduino
 Core for Atmel's AVR microcontroller used on the Arduino Yún, Uno, Uno WiFi,
 Diecimila, Nano, Mega, MegaADK, Leonardo, Leonardo Ethernet, Micro, Esplora,
 Min, Ethernet, Fio, BT, LilyPadUSB, Lilypad, Pro, ATMegaNG, Robot Control,
 Robot Motor, Gemma, Yún Mini and Industrial 101.
 .
 It also contains some basic interfaces for interacting with the
 internal non-volatile storage (aka EEPROM) in AVR based Arduino boards.
 Also interfaces for interacting with plugable USB infrastructure (HID),
 for the Serial Programming Interface (SPI), for serial communication on
 any digital pins and for communicaton by I2C and Two Wire Interfaces
 devices.
 .
 Please note that the firmware for the Arduino WiFi Shield is not included
 (in contrary to the official upstream archive) due it's non DFSG compliance!
 Also some *.hex files are excluded as they are not rebuildable.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

BOOTLOADER_ATMEGA_TARGETS = \
 atmega328 \
 atmega328_notp \
 atmega328_pro8 \
 diecimila \
 lilypad \
 lilypad_resonator \
 mega \
 ng \
 pro16 \
 pro20 \
 pro8 \
 $(NULL)

BOOTLOADER_BT_TARGETS = \
 atmega328_bt \
 $(NULL)

BOOTLOADER_OPTIBOOT_TARGETS = \
 atmega8 \
 atmega168 \
 atmega328 \
 $(NULL)

%:
	dh $@

override_dh_install:
	@echo "(Re)build .hex files for Atmega bootloaders..."
	@cd bootloaders/atmega &&\
	make clean &&\
	for TARGET in $(BOOTLOADER_ATMEGA_TARGETS); do\
		echo "#" ;\
		echo "# Folder 'bootloaders/atmega'" ;\
		echo "# Build target $${TARGET}" ;\
		echo "##############################" ;\
		make $${TARGET} ;\
		echo ;\
	done
	@echo "(Re)build .hex file for Atmega8 bootloader..."
	@cd bootloaders/atmega8 &&\
	echo "# Folder 'bootloaders/atmega8'" &&\
	make clean && make all
	@echo "(Re)build .hex files for bt bootloaders..."
	@cd bootloaders/bt &&\
	make clean &&\
	for TARGET in $(BOOTLOADER_BT_TARGETS); do\
		echo "#" ;\
		echo "# Folder 'bootloaders/bt'" ;\
		echo "# Build target $${TARGET}" ;\
		echo "##############################" ;\
		make $${TARGET} ;\
		echo ;\
	done
	# TODO
	# Rebuild the .hex files in the folders
	#   bootloaders/caterina
	#   bootloaders/caterina-Arduino_Robot
	#   bootloaders/caterina-LilyPadUSB
	#
	# TODO
	# Rebuild the .hex file in
	#   bootloaders/gemma
	# This is a more expenses task as this requires the sources of the
	# Adafruit-Trinket-Gemma-Bootloader (https://github.com/adafruit/Adafruit-Trinket-Gemma-Bootloader)
	#
	# TODO
	# Rebuild the .hex file in
	#   bootloaders/lilypad/src
	# Fails probably due newer avr-gcc
	#
	@echo "(Re)build .hex files for optiboot bootloaders..."
	@cd bootloaders/optiboot &&\
	make clean &&\
	for TARGET in $(BOOTLOADER_OPTIBOOT_TARGETS); do\
		echo "#" ;\
		echo "# Folder 'bootloaders/optiboot'" ;\
		echo "# Build target $${TARGET}" ;\
		echo "##############################" ;\
		make $${TARGET} ;\
		echo ;\
	done
	@echo "(Re)build .hex files for stk500v2 bootloaders..."
	@cd bootloaders/stk500v2 &&\
	make clean &&\
	make mega2560
	find bootloaders -type f \( -name Makefile -o -name ".c" -o -name ".h" \) -exec chmod -x {} \;
	dh_install

=== debian/watch ===
# watch file for arduino-core-avr
version=4

opts="mode=git, \
      uversionmangle=s/-(beta|rc|dev)/~$1/; \
                     s/\.-(beta|rc|dev)\.\d.*//; \
                     s/\.\.//,\
      dversionmangle=s/\+dfsg(\.?\d+)?$//" \
      https://github.com/arduino/ArduinoCore-avr \
      refs/tags/(\d+\.\d+\.\d+(?:\.?beta[1-9])?)

## arduino-core-avr 1.8.4%2Bdfsg1

=== debian/changelog ===
arduino-core-avr (1.8.4+dfsg1-1) unstable; urgency=medium

  * [d73c46d] New upstream version 1.8.4+dfsg1
  * [3336421] Rebuild patch queue from patch-queue branch
    Updating the existing patches, adding that no forwarding is needed, these
    patches are all Debian specific.
  * [cf1e7d4] d/control: Update Standards-Version to 4.6.0
    No further changes needed.
  * [f03ac79] d/arduino-core-avr.install: Also shipping the examples
  * [56ff911] Lintian: Ignore the mentioned repeated-path-segment parts

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 29 Nov 2021 15:54:18 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  avr-libc,
  debhelper-compat (= 13),
  gcc-avr,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/arduino/ArduinoCore-avr
 Vcs-Browser: https://salsa.debian.org/electronics-team/arduino/arduino-core-avr

## arduino-core-avr 1.8.5+dfsg

=== debian/changelog ===
arduino-core-avr (1.8.5+dfsg-1) unstable; urgency=medium

  * [ace0001] d/gbp.conf: Exclude folder driver/ while import
    The version 1.8.5 is shipping Windows drivers and additional stuff that
    are not relevant for Debian, we can exclude the folder driver/ completely.
  * [620ae3e] New upstream version 1.8.5+dfsg
    (Closes: #985653)
  * [c9bce1e] Rebuild patch queue from patch-queue branch
  * [b358be6] d/copyright: Update content and data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 27 Feb 2022 08:37:44 +0100
